cancel
Showing results for 
Search instead for 
Did you mean: 

USB Superspeed Peripherals

NiEn_2817821
New Contributor II

We are trying to embed CyAPI.lib in a Qt project and get these errors when trying to link:

c code.png

Some questions:

  • How do we solve this?
    • Is the CyAPI.lib compiled with Visual Studio?
    • Is the CyAPI.lib meant to be usable in Qt/mingw?
    • Do you have a static lib for Qt/mingw?

We also have a source code version of the CyAPI.lib, that we have added to our Qt project.

But the source code doesn’t match the CyAPI.lib that we have, and has an error that we have difficulties to work around.

When using the CyAPI.lib in a VS project, we don’t have the error (this way we conclude that source code and CyAPI.lib don’t match).

  • Could we get the latest source code of the CyAPI.lib?
  • Or :could we get the source code that matches the CyAPI.lib that we have right now?
1 Solution
YatheeshD_36
Moderator
Moderator

Hello,

Yes, CyAPI.lib is compiled with Visual Studios.  We have not tested using CyAPI.lib in QT applications.

Have you linked the CyAPI.lib in your project and included all other dependencies?

The latest source of CyAPI.lib is present in FX3 SDK.

Please download CyUSB3_USB_Suite_Souce.zip file from this link : https://www.cypress.com/documentation/software-and-drivers/ez-usb-fx3-software-development-kit

Both the library and its source is present in the zip folder.

library path: <installation directory>\Cypress\EZ-USB FX3 SDK\CyUSB3_USB_Suite_Source\CyAPI_Library_Source\CyAPI\library\cpp\lib\<architecture>

If you are using the latest source, then please check all the properties of the project.

Thanks,

Yatheesh

View solution in original post

1 Reply